2008-05-02  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Remove CDTParser.

2008-04-11  Andrew Cagney  <cagney@redhat.com>

	* .gitignore: Ignore files.base.

2008-03-10  Andrew Cagney  <cagney@redhat.com>

	* frysk/EventLogger.java (getLogger()): New.

2008-03-03  Andrew Cagney  <cagney@redhat.com>

	* frysk/EventLogger.java: Use frysk.config.

2008-02-29  Andrew Cagney  <cagney@redhat.com>

	* frysk/EventLogger.java: Move from frysk-sys/frysk/.

2007-12-03  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_CLASSPATH): Add frysk-sys.jar, frysk-core.jar,
	and frysk-gtk.jar.
	(GEN_SOURCEPATH): Remove frysk-sys/, frysk-core/, and frysk-gtk/.

2007-11-22  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (GLADE_DTD_FILE): Conditionally set.
	
	* Makefile.am (GLADE_DTD_FILE): Set to @GLADE_DTD_FILE@.
	* configure.ac (GLADE_DTD_FILE): Set.

2007-11-13  Jose Flavio Aguilar Paulino <jflavio@br.ibm.com>

        * Makefile.am: Add libunwind-ppc32 to gcj linker dependencies.

2007-10-31  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am: Replace dist_glade_DATA with glade_DATA; ditto for
	desktop and property DATA.

2007-10-05  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (RPATH): Delete.

	* Makefile.am (checked-glade-xml): Delete.  Replace with ...
	(checked-glade-xml-for-gnome): Use dist_glade_DATA instead of
	glade_DATA.  Require a list of files.
	(checked-glade-xml-with-xmllint): Ditto.

2007-08-24  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.am: Change GEN_GCJ_LDADD to GEN_GCJ_LDADD_LIST.

2007-08-16  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Remove -lopcodes; handled by
	common/frysk-common.ac.

2007-07-17  Andrew Cagney  <cagney@redhat.com>

	Move CNI code from frysk-imports/ to frysk-sys/
	* Makefile.am (GEN_SOURCEPATH): Search frysk-sys/
	(GEN_GCJ_LDADD): Link frysk-sys.a.

	* Makefile.am (GEN_GCJ_LDADD): Remove
	-L../frysk-imports/lib/opcodes -lbfd_get.

2007-06-26  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (AM_INIT_AUTOMAKE): Add no-dist.
	* Makefile.am (EXTRA_DIST): Delete.

2007-06-18  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): Do not add ChangeLog files.

2007-06-14  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Removed libunwind-$(libunwind-cpu).
	Added libunwind-x86_64 and libunwind-ppc64.

2007-05-01  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Pass -Werror to all autoconf.

2007-04-05  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Update `libunwind-ptrace.a' path to the
	libtool compliant one.

2007-03-22  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Added libunwind-x86.h.

2007-03-21  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Removed libunwind-x86.h.
	
2007-03-14  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Fixed libunwind-cpu.h location

2007-02-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_SOURCEPATH): List frysk-gtk, frysk-core and
	frysk-imports directories.
	(GEN_CLASSPATH): Remove corresponding jars.

2007-02-06  Stepan Kasal  <skasal@redhat.com>

	* bootstrap.sh: Add "set -e".

2007-02-06  Mark Wielaard  <mark@klomp.org>

	* Makefile.am (icon_DATA): Use imagesdir.

2007-02-06  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (icondir, dist_icon_DATA): New variables, likewise.

	* Makefile.am (propertydir, dist_property_DATA): New variables,
	handling frysk.properties.

2007-02-05  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (desktopdir, dist_desktop_DATA): New variables, handling
	frysk.desktop.

2006-12-22  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (install-dogtail-scripts-local):
	(uninstall-dogtail-scripts-local): Add $(DESTDIR) where appropriate.

2006-12-20  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (install-dogtail-scripts-local): Pass -p and -f
	flags to cp.

2006-12-18  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (install-dogtail-scripts-local) 
	(uninstall-dogtail-scripts-local): New targets.

2006-12-11  Andrew Cagney  <cagney@redhat.com>

	* .cvsignore: Clean up; add files.list.

2006-12-08  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Added -lstdc++.

2006-12-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_CLASSPATH, GEN_GCJ_LDADD): Remove references to
	frysk-sys.

2006-11-23  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (glade.catalog, checked-glade-xml)
	(GLADE_DTD_FILE): Add, moved from common/Makefile.rules.
	* configure.ac (LIBGLADE_PREFIX): Set using
	FRYSK_PKG_MODULE_VARIABLE.

2006-11-15  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Add cdtparser.jar to the linking process.
	* common/Makefile.gen.sh: Add test_DATA for unit testing.

2006-11-14  Stepan Kasal  <skasal@redhat.com>

	* configure.ac: The included file `common/acinclude.m4' was renamed
	to `common/frysk-common.ac'.

	* configure.ac: Put the jars reported by pkg-config to
	CONFIG_STATUS_DEPENDENCIES, so that the project gets reconfigured
	if the java-gnome packages are upraded later.
	* Makefile.am (FRYSK_GUI_JARS): Add fake rules for the installed jars.

2006-10-12  Nurdin Premji  <npremji@redhat.com>

	* .cvsignore (compile): added.

2006-10-11  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (noinst_PROGRAMS): Move
	frysk/gui/test/dogtail_scripts/frysk_suite.py ...
	(noinst_SCRIPTS): ... here.

2006-10-11  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Pass -Werror to automake.

2006-09-27  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (GEN_CLASSPATH, GEN_GCJ_LDADD): Removed jargs.

2006-09-27  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (noinst_PROGRAMS): Add
	frysk/gui/test/dogtail_scripts/frysk_suite.py so that it is
	created during build, and not check.

2006-09-27  Nurdin Premji <npremji@redhat.com>

	* Makefile.am (GEN_CLASSPATH, GEN_GCJ_LDADD): Added getopt

2006-09-19    <swagiaal@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Added -laudit

2006-09-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): Replace frysk_suite.sh with
	frysk_suite.py.
	(frysk/gui/test/dogtail_scripts/frysk_suite.py): Ditto for rule.

2006-09-08	Alexandre Oliva  <aoliva@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Link in libunwind-ptrace.a.
	* Makefile.in: Rebuild.

2006-08-17  Yao Qi  <qiyaoltc@cn.ibm.com>

	* Makefile.am : Append -lbfd_get to GEN_GCJ_LDADD.

2006-08-14  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.am (TESTS_ENVIRONMENT): Skip the dogtail tests.

2006-08-08  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.am (TESTS_ENVIRONMENT): Add a comment.

2006-07-21  Nurdin Premji  <npremji@redhat.com>

	* .cvsignore: Ignoring
	config.guess
	config.sub

2006-07-12  Rick Moseley <rmoseley@redhat.com>

	* Makefile.am: Remove libunwind-ptrace.a.

2006-07-11  Rick Moseley <rmoseley@redhat.com>

	* Makefile.am: Remove generic libunwind.a lib.

2006-07-10  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Remove libunwind-setjmp.a for now.

2006-06-30  Stepan Kasal  <kasal@ucw.cz>

	* configure.ac: Include common/acinclude.m4 before AM_INIT_AUTOMAKE.
	* Makefile.am (GEN_GCJ_LDADD): Add libunwind libs.

2006-06-25  Ivan Pantuyev  <ipantuye@redhat.com>

	* Makefile.am: Added jline to classpath

2006-06-23  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.am: Distribute frysk/gui/test/dogtail_scripts/frysk_suite.in.

2006-06-16  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Specify static elfutil libraries,
	re-order and add libebl/libebl.a.

2006-06-16  Phil Muldoon  <pmuldoon@redhat.com>

	* Makefile.am: Added noinst_SCRIPTS for
	test-suite shell file generation.
	Added corresponding CLEANFILES statement.

2006-06-15  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.am (noinst_PROGRAMS): remove .../frysk_suite.sh; shell
	scripts are not compiled binaries.

2006-06-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (noinst_PROGRAMS)
	(frysk/gui/test/dogtail_scripts/frysk_suite.sh): Build and test
	frysk_suite.sh.  Don't yet add to TESTS.

2006-06-13  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.am (EXTRA_DIST): Add several ChangeLog's.

2006-06-09  Nurdin Premji  <npremji@redhat.com>

	* .cvsignore: Ignoring
	depcomp
	install-sh

2006-06-06  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Changed linking against .a's to -Ldir -llib.
	Added libdwfl.

2006-05-24  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am:  Add frysk-imports/elfutils/libdw/libdw.a.

2006-05-16  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am:  Add frysk-imports/elfutils/libelf/libelf.a.
	Add -lopcodes for linking.

2006-05-12  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Delete stray AC_CONFIG_SUBDIRS([frysk-sys
	frysk-core]) line.

2006-04-27  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Copy autogen.sh.
	* autogen.sh: Delete.

2006-03-23  Phil Muldoon  <pmuldoon@redhat.com>

	* .classpath: Updated to look in /usr/share/java instead of
	looking in /opt. Update jar list.

2006-02-16  Adam Jocksch  <ajocksch@redhat.com>

	* configure.ac: Added cairo paths to classpaths.

2006-02-06  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (TESTS_ENVIRONMENT): Define.  Cause exit 77 when no
	display.

2006-02-01  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): Delete, handled by Makefile.gen.sh.

2006-01-30  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_CLASSPATH): Add jargs.jar.

2006-01-21  Andrew Cagney  <cagney@redhat.com>

	* EXCEPTION: Delete, moved to common/.

	* Makefile.am (EXTRA_DIST): Update, frysk.desktop moved to
	frysk/gui/.

2006-01-18  Rick Moseley  <rmoseley@redhat.com>

	* Moved frysk.desktop on down to the frysk/gui directory.

2006-01-17  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Added frysk.desktop to EXTRA_DIST section.

2006-01-16  Rick Moseley  <rmoseley@redhat.com>

	* Move frysk.desktop from ../frysk to frysk-gui.

2006-01-05  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (AM_GCJFLAGS): Delete definition.
	(GEN_GCJ_LDADD, GEN_CLASSPATH): Add frysk-gtk; get tlwidgets and
	EggTrayIcon from ../frysk-gtk/ directory.

2005-12-14  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.am: Added all icons and images to extra_DIST.

2005-12-10  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (RPATH): Move to after call to PKG_CHECK_MODULES
	(which sets PKG_CONFIG).

2005-12-09  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Add pango >= 1.10.0 pangox >= 1.10.0 pangoft2 >=
	1.10.0 to list of required modulres.

	* configure.ac (FRYSK_GUI_LIBS, FRYSK_GUI_JARS): Set using
	PKG_CHECK_MODULES, and FRYSK_PKG_MODULE_VARIABLE.
	* Makefile.am (GEN_GCJ_LDADD): Use FRYSK_GUI_LIBS.
	(GEN_CLASSPATH): Use FRYSK_GUI_JARS.

2005-12-08  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Move checks for gtk2-java, glade-java, glib-java,
	and vte-java, to common/acinclude.m4.

2005-12-02  Sami Wagiaalla  <swagiaal@redhat.com>

	* Makefile.am: Added frysk-imports/libfrysk-ftk.a to LDADD,
	and frysk-imports/tlwidgets/ftk.jar to CLASSPATH.

2005-11-28  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (AC_INIT): Shorten package to just <<frysk>>.

	* autogen.sh: Add -f to autoconf.

2005-11-22  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Include common/version.ac.  Update AC_INIT to
	frysk-gui FRYSK_VERSION.

2005-11-15  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Add libfrysk-jargs.a and
	libfrysk-jline.a.

2005-11-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD, GEN_CLASSPATH): Add junit.

	* Makefile.am (GEN_GCJ_LDADD): Add frysk- prefix to libraries.
	
	* Makefile.am (LDFLAGS): Delete.
	(GEN_GCJ_LDADD): Add -L../frysk-imports/EggTrayIcon.
	* configure.ac: Remove ../frysk-imports/EggTrayIcon from RPATH.

2005-11-09  Igor Foox  <ifoox@redhat.com>

	* configure.ac, Makefile.ac: Changed to use libcdtparser.so from
	frysk-imports instead of the frysk-cdtparser package.

2005-11-04  Adam Jocksch  <ajocksch@redhat.com>

	* configure.ac: Now checks for cdt parser files (taken from frysk-gui
	configure.ac).

2005-11-03  Igor Foox  <ifoox@redhat.com>

	* autogen.sh: Added -I common/m4 to aclocal invokation.
	* configure.ac: Changed the check for cdtparser.jar and libcdtparser.jar.so
	it now checks in some specific directories and uses the first files that it
	can find. Added detecton for x86_64 that adds /opt/frysk/lib64 to
	PKG_CONFIG_PATH.

	* Makefile.am: Added test cpp files for sourcewindow to EXTRA_DIST.
	
	
2005-10-27  Igor Foox  <ifoox@redhat.com>

	* configure.ac: Changed cdtparser detection to use the new cdtparser.pc.
	Removed some unneeded stuff from cdtparser detection section. Now works on
	amd64.

2005-10-18  Igor Foox  <ifoox@redhat.com>

	* Makefile.am: Appended all glade/png/jpg/properties files to the 
	EXTRA_DIST variable so that they get included in the distribution.

2005-10-13  Chris Moller  <moller@mollerware.com>

	* frysk/frysk-common/Makefile.rules: fixed a cd that was catting a
	CWD into an awkward place.

2005-10-03  Igor Foox  <ifoox@redhat.com>

	* frysk/gui/monitor/ConsoleWindow.java: Added a stub class for the
	console window.
	* Makefile.am, configure.am: Added machinery to compile libvte-java
	related files.
	* frysk/gui/FryskGui.java: Added context menu item in the status icon
	to call up the console window.

2005-09-26  Igor Foox  <ifoox@redhat.com>

	* configure.ac: Changed PKG_CONFIG_PATH to /opt/frysk from /opt.

2005-09-20  Phil Muldoon  <pmuldoon@redhat.com>
	
	* build.xml: New File. Experimental Eclipse build.
	* .project: Modified to work with build.xml above. 
	Fixed <projects> typo

2005-09-20  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.am: Added jdom.jar to classpath and libjdom.a for linking.

2005-09-19  Adam Jocksch  <ajocksch@redhat.com>

	* configure.ac: Added check for cdtparser.jar and libcdtparser.so files.

	* Makefile.am: Changed linking instructions for gui to use libcdtparser.so instead of relying on frysk-imports.

2005-09-15  Igor Foox <ifoox@redhat.com>

	* configure.ac: Changed all references to jg-common to glib-java.
	Change JGCOMMON variable to GLIB_JAVA.
	* Makefile.am: Changed reference to libjgjni-0.1 to libglibjni.
	Change JGCOMMON variable to GLIB_JAVA.
	* frysk/gui/monitor/EggTrayIcon.java, 
	frysk/gui/srcwin/SourceBuffer.java, 
	frysk/gui/srcwin/SourceViewWidget.java: Changed references to
	org.gnu.javagnome to org.gnu.glib. 

005-09-14  Adam Jocksch <ajocksch@redhat.com>

	* Makefile.am (GEN_CLASSPATH): Added frysk-imports/cdtparser.jar.
	(GEN_GCJ_LDADD): Added frysk-imports/libcdtparser.a.

2005-09-12  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am: Simplify; append all libraries to GEN_GCJ_LDADD.

2005-09-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am: Instead of LDADD, append to GEN_GCJ_LDADD.

	* Makefile.am: Delete rules for EggTrayIcon.
	* configure.ac: Update path to EggTrayIcon directory in
	JAVA_LIBRARY_PATH.  Do not check for gtk+-2.0.
	* EggTrayIcon/eggtrayicon.c, EggTrayIcon/eggtrayicon.h,
	EggTrayIcon/libEggTrayIcon.c: Delete; moved to frysk-imports.

2005-09-10  Andrew Cagney  <cagney@redhat.com>

	* COPYING, EXCEPTION: New files; copyright of all files updated.

2005-09-09  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Simplify, sinclude common/acinclude.m4.
	
	* configure.ac (JAVAC): Set using AC_CHECK_PROGS.

	* configure.ac: Simplify, remove AC_SUBST for variables already
	defined and stubsituted by PKG_CHECK_MODULES.
	* Makefile.am: Clean up deleting all commented out definitions.
	Append LDADD to all program specific LDADD files.  Define
	AM_GCJFLAGS instead of GCJFLAGS.  Do not link against
	EggTrayIcon.a.

	* .cvsignore: New file.

2005-09-10  Igor Foox  <ifoox@redhat.com>

	* EggTrayIcon/libEggTrayIcon.c: Updated to reflect previous
	domain move.

2005-09-09  Andrew Cagney  <cagney@redhat.com>

	* autogen.sh, Makefile.am: Update to reflect move of
	com.redhat.fedora.frysk to frysk.

2005-09-08  Igor Foox  <ifoox@redhat.com>

	* ChangeLog: new file.
	* configure.ac,Makefile.am (CLEANFILES): @JAVA_LIBRARY_PATH@ and 
	@RPATH@	to remove need	for setting LD_LIBRARY_PATH before running.

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
